com.impinj.octane

## Enum RShellConnectionType

- java.lang.Object
- - java.lang.Enum<RShellConnectionType>
  - - com.impinj.octane.RShellConnectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RShellConnectionType>

      public enum RShellConnectionType
      extends java.lang.Enum<RShellConnectionType>

  Enum used to specify the protocol over which the RShell connection will be made.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Ssh` Recommended more secure network protocol that encrypts data before sending and uses a public key for authentication.
    `Telnet` Less secure network protocol that sends data in plain text without authentication.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RShellConnectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RShellConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Telnet

          public static final RShellConnectionType Telnet

      Less secure network protocol that sends data in plain text without authentication.

    - #### Ssh

          public static final RShellConnectionType Ssh

      Recommended more secure network protocol that encrypts data before sending and uses a public key for authentication.

  - ### Method Detail

    - #### values

          public static RShellConnectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RShellConnectionType c : RShellConnectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RShellConnectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null